> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/installation/client.md).

# Client

{% tabs %}
{% tab title="Windows" %}
Remote Desktop Manager can be downloaded as setup files or as a binary compressed file (ZIP) via our [Devolutions website](https://devolutions.net/remote-desktop-manager/home/download). It can also be downloaded from the [Microsoft Store](https://apps.microsoft.com/store/detail/devolutions-remote-desktop-manager/XPFCXHF337W98S).

### Installation

Depending on the downloaded media, either run the setup or extract the files from the archive in any folder and launch the executable.

If you wish to use a portable device or run multiple independent copies of the application, please consult [Portable (USB)](https://docs.devolutions.net/rdm/installation/client/portable-usb/).

<table><thead><tr><th width="232">OPTIONS</th><th>DESCRIPTION</th></tr></thead><tbody><tr><td><strong>Windows (.msi, x64)</strong></td><td>Download a Microsoft Software Installation package for 64-bit PCs (most desktops and laptops).</td></tr><tr><td><strong>Windows (.msi, arm64)</strong></td><td>Download a Microsoft Software Installation package for Windows devices using ARM.</td></tr><tr><td><strong>Windows (.msi, universal)</strong></td><td>Download a Microsoft Software Installation package containing binaries for both x64 and arm64 machines and devices.</td></tr><tr><td><strong>Windows (.exe, universal)</strong></td><td>Download a <code>.exe</code> package containing binaries for both x64 and arm64 machines and devices.</td></tr><tr><td><strong>Windows (.7z, x64)</strong></td><td>Download Remote Desktop Manager as a highly compressed, pre-optimized for x64, .7z file. Use <a href="https://docs.devolutions.net/rdm/kb/troubleshooting-articles/startup-performance/">for better startup performance.</a></td></tr><tr><td><strong>Windows (.7z, arm64)</strong></td><td>Download Remote Desktop Manager as a highly compressed, pre-optimized for armx64, .7z file. Use for <a href="https://docs.devolutions.net/rdm/kb/troubleshooting-articles/startup-performance/">better startup performance</a>.</td></tr><tr><td><strong>Windows (.zip, universal)</strong></td><td>Download Remote Desktop Manager as a compressed <code>.zip</code> file containing binaries for both x64 and arm 64 machines and devices. While <code>.7z</code> files are smaller, <code>.zip</code> files are more universally supported.</td></tr></tbody></table>

### License

It is possible to try Remote Desktop Manager with a [Free trial](https://docs.devolutions.net/resources/getting-started-packages/free-trials/). If you possess a purchased license, please follow the instructions [Registration](https://docs.devolutions.net/rdm/installation/client/registration/).

### Workspace

By default, a local workspace is created using the SQLite format. You can add as many workspaces as needed. Please consult [Workspaces](https://docs.devolutions.net/rdm/workspaces/) for more information.

To use an SQL Server or Azure SQL workspace, refer to [Configure SQL Server](https://docs.devolutions.net/rdm/workspaces/workspace-types/native-workspaces/microsoft-sql-server/configure/) or [Configure Azure SQL](https://docs.devolutions.net/rdm/workspaces/workspace-types/native-workspaces/microsoft-azure-sql/configure/).

### External applications

Configure your installation path for all external applications you intend to use such as RealVNC, Putty, Filezilla, etc. Set the paths in ***File*** – ***Settings*** – ***Application*** – ***Paths***.

### Terminal Services / Remote Desktop Services

Please consult [Terminal Services / Remote Desktop Services](https://docs.devolutions.net/rdm/installation/client/terminal-services/).
{% endtab %}

{% tab title="macOS" %}
Remote Desktop Manager macOS can be downloaded as a DMG file via our [Devolutions website](https://devolutions.net/remote-desktop-manager/home/download).

### Installation

Depending on the downloaded media, either run the setup or extract the files from the archive in any folder and launch the executable.

### License

It is possible to try Remote Desktop Manager with a [Free trial](https://docs.devolutions.net/resources/getting-started-packages/free-trials/). If you possess a purchased license, please follow the instructions [Registration](https://docs.devolutions.net/rdm/installation/client/registration/).

### Workspace

By default, a local workspace is created using the SQLite format. You can add as many workspaces as needed. Please consult [Workspaces](https://docs.devolutions.net/rdm/workspaces/) for more information.

To use an SQL Server or Azure SQL workspace, refer to [Configure SQL Server](https://docs.devolutions.net/rdm/workspaces/workspace-types/native-workspaces/microsoft-sql-server/configure/) or [Configure Azure SQL](https://docs.devolutions.net/rdm/workspaces/workspace-types/native-workspaces/microsoft-azure-sql/configure/).
{% endtab %}

{% tab title="Linux" %}
Remote Desktop Manager can be downloaded as DEB or RPM files via the [Devolutions website](https://devolutions.net/remote-desktop-manager/download/).

### License

It is possible to try Remote Desktop Manager with a [Free trial](https://docs.devolutions.net/resources/getting-started-packages/free-trials/). If you possess a purchased license, please follow the instructions [Registration](https://docs.devolutions.net/rdm/installation/client/registration/).

### Workspace

By default, a local workspace is created using the SQLite format. You can add as many workspaces as needed. Please consult [Workspaces](https://docs.devolutions.net/rdm/workspaces/) for more information.

To use an SQL Server or Azure SQL workspace, refer to [Configure SQL Server](https://docs.devolutions.net/rdm/workspaces/workspace-types/native-workspaces/microsoft-sql-server/configure/) or [Configure Azure SQL](https://docs.devolutions.net/rdm/workspaces/workspace-types/native-workspaces/microsoft-azure-sql/configure/).

### Installation

Depending on the downloaded media, either run the setup or extract the files from the archive in any folder and launch the executable. If this method of installation does not meet your needs, follow the instructions below.

#### Repo method

Devolutions offer Remote Desktop Manager through Cloudsmith for Debian and RedHat-based distributions. For Arch-based distributions, the package is available through AUR, and finally, Devolutions offers a Flatpak package that should cover most other platforms.

**Debian and other Debian-based distributions**

The repository must be set up before installing Remote Desktop Manager through Cloudsmith on any Debian-based distributions, including but not limited to Ubuntu, Pop!\_Os, and Kali Linux.

The following example showcases an Ubuntu system using APT as package manager.

1. To set up the repositary, run the bash script that most fit your needs from the choices below:

**Cloudsmith's automatic setup:**

```bash
curl -1sLf \
  'https://dl.cloudsmith.io/public/devolutions/rdm/setup.deb.sh' \
  | sudo -E bash
```

**Forced specific distribution, release/version, architecture:**

```bash
curl -1sLf \
  'https://dl.cloudsmith.io/public/devolutions/rdm/setup.deb.sh' \
  | sudo -E distro=some-distro codename=some-codename arch=some-arch bash
```

**Manual configuration:**

```bash
apt-get install -y debian-keyring  # debian only
apt-get install -y debian-archive-keyring  # debian only
apt-get install -y apt-transport-https
# For Debian Stretch, Ubuntu 16.04 and later
keyring_location=/usr/share/keyrings/devolutions-rdm-archive-keyring.gpg
# For Debian Jessie, Ubuntu 15.10 and earlier
keyring_location=/etc/apt/trusted.gpg.d/devolutions-rdm.gpg
curl -1sLf 'https://dl.cloudsmith.io/public/devolutions/rdm/gpg.FE7407ECB26FD2FE.key' |  gpg --dearmor >> ${keyring_location}
curl -1sLf 'https://dl.cloudsmith.io/public/devolutions/rdm/config.deb.txt?distro=ubuntu&amp;codename=xenial' > /etc/apt/sources.list.d/devolutions-rdm.list
apt-get update
```

{% hint style="warning" %}
Be sure to replace **ubuntu** and **xenial** in the above with your actual operating system (distribution and distribution release/version).
{% endhint %}

2. Install the package through your chosen package manager (APT here) by running the following script:

```bash
sudo apt-get install remotedesktopmanager
```

**RedHat and RedHat-based systems**

The repository must be set up before installing Remote Desktop Manager through Cloudsmith on any RedHat-based distributions, including but not limited to RHEL, CentOS, SUSE, Fedora. For specific distribution based instructions please refer to [Cloudsmith’s guide](https://cloudsmith.io/~devolutions/repos/rdm/setup/#repository-setup-dnf).

The following example showcases a Fedora system using DNF as package manager.

1. To set up the repositary, run the bash script that most fit your needs from the choices below:

**Cloudsmith's automatic setup**

```bash
curl -1sLf \
  'https://dl.cloudsmith.io/public/devolutions/rdm/setup.rpm.sh' \
  | sudo -E bash
```

**Forced specific distribution, release/version, architecture**

```bash
curl -1sLf \
  'https://dl.cloudsmith.io/public/devolutions/rdm/setup.rpm.sh' \
  | sudo -E distro=DISTRO codename=CODENAME arch=ARCH bash
```

**Manual configuration**

```bash
dnf install yum-utils pygpgme

rpm --import 'https://dl.cloudsmith.io/public/devolutions/rdm/gpg.FE7407ECB26FD2FE.key'
curl -1sLf 'https://dl.cloudsmith.io/public/devolutions/rdm/config.rpm.txt?distro=fedora&codename=29&dnf_version=4' > /tmp/devolutions-rdm.repo
dnf config-manager --add-repo '/tmp/devolutions-rdm.repo'
dnf -q makecache -y --disablerepo='*' --enablerepo='devolutions-rdm' --enablerepo='devolutions-rdm-source'
```

{% hint style="warning" %}
Be sure to replace **fedora** and **29** in the above with your actual operating system (distribution and distribution release/version).
{% endhint %}

2. Install the package through your chosen package manager (DNF here) by running the following script:

```bash
sudo dnf install RemoteDesktopManager
```

**Arch or Arch-based systems**

For Arch-based distributions, including but not limited to Arch, Manjaro, EndeavourOS, Devolutions strongly recommends [Yay](https://github.com/Jguer/yay). The package can also be built from scratch.

**Installing Remote Desktop Manager using Yay**

1. If Yay is not already installed on the machine, do so by using this script:

```bash
sudo pacman -Sy yay
```

2. Install the remote-desktop-manager package:

```bash
yay -Sy remote-desktop-manager
```

3. Run a full system synchronization (recommended):

```bash
yay -Syu
```

or only upgrade the remote-desktop-manager package (may cause dependency issues):

```bash
yay -Sy remote-desktop-manager
```

**Building the package using Pacman**

1. Install base-devel with the following script:

```bash
sudo pacman -S base-devel
```

2. Clone the remote-desktop-manager repository in a particular location:

```bash
git clone https://aur.archlinux.org/remote-desktop-manager.git
```

3. Build and install the pack by running this script and replacing "path\_to\_the\_cloned\_repo":

```bash
cd path_to_the_cloned_repo/
makepkg -si
```

**Flatpak-supported distributions**

To install Remote Desktop Manager on Flatpak-supported distributions, start by setting up Flatpak on the machine according to Flatpak's [Quick Setup page](https://flatpak.org/setup/). Then, install the package using flathub by running these scripts:

```bash
flatpak install flathub com.devolutions.remotedesktopmanager
```

```bash
flatpak run com.devolutions.remotedesktopmanager
```

#### Manual installation on unsupported systems

Here is a simple guide to help installing Remote Desktop Manager Linux on an unsupported distro.

Here are required dependencies:

* glibc 2.29
* libwebkit2gtk-4.0 or libwebkit2gtk-4.1
* ca-certificates
* libsecret-1-0
* gnome-keyring
* libvte-2.91

Devolutions also suggests the following libraries:

* libappindicator
* xdotool
* lsof

Install Remote Desktop Manager Linux using the following steps:

1. Download the [latest .deb version of Remote Desktop Manager](https://devolutions.net/remote-desktop-manager/download/).
2. Make a directory:

   `mkdir ./extractedData/`
3. Move the DEB file to the newly created folder and open that same folder:

   `mv ./RemoteDesktopManager_x.x.x.x_amd64.deb ./extractedData cd ./extractedData`
4. Extract the DEB file's content:

   `ar -x RemoteDesktopManager_x.x.x.x_amd64.deb`
5. Extract data.tar.xz content:

   `tar -xf data.tar.xz`
6. Copy the extracted data’s bin/remotedesktopmananger to /bin:

   `cp -r /bin/remotedesktopmananger /bin`
7. Copy the extracted data’s usr/lib/devolutions/RemoteDesktopManager to /usr/lib/devolutions/RemoteDesktopManager:

   `cp -r /usr/lib/devolutions/RemoteDesktopManager /usr/lib/devolutions/RemoteDesktopManager`

Remote Desktop Manager can then be launched using the remotedesktopmanager terminal command.
{% endtab %}

{% tab title="iOS" %}
On the Apple Store, search for the Remote Desktop Manager application and install the application on your device.

When launching the application on your device, the ***Master password*** window will appear, you can either decide to enter a password protecting Remote Desktop Manager, which will prompt you for your password every time you open the application or if you leave the field blank the application will open without prompting you for a password. You can also choose to use ***Touch ID*** and ***Face ID***.

Remote Desktop Manager iOS automatically creates an ***XML workspace*** the first time it is launched if you choose to skip the ***Setup Wizard***.
{% endtab %}

{% tab title="Android" %}
On the Google Play Store store, search for the Remote Desktop Manager application and install the application on your device.

When launching the application on your device, the ***Master Password*** window will appear, you can either decide to enter a password protecting Remote Desktop Manager, which will prompt you for your password every time you open the application or if you leave the field blank the application will open without prompting your for a password.

Remote Desktop Manager Android will automatically create an XML workspace upon first launch.
{% endtab %}
{% endtabs %}

### Automating downloads in scripts

If you wish to automate Remote Desktop Manager's download in scripts, you can use <https://devolutions.net/productinfo.json> – it has all the information needed and is easily consumable by scripts.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/rdm/installation/client.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
